cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joerg Heinicke <joerg.heini...@gmx.de>
Subject Re: slide block
Date Wed, 14 Jan 2004 17:57:58 GMT
On 14.01.2004 13:44, Vadim Gritsenko wrote:

>> ModifiableTraversableSource and TraversableSource both have been
>> deprecated. SourceDescriptionGenerator has been superseeded by
>> TraversableSourceDescriptionGenerator. PrincipalProvider no longer works
>> with the current version of Slide because they now follow the ACL draft
>> and I am not going to move it over because I won't be using it myself
>> and because I feel the design is no longer useful. SourceMultiAction
>> depends on deprecated classes. PrincipalMultiAction and
>> PrincipalListGenerator both depend on PrincipalProvider.
>> ContextFile*Stores both extend a longer supported Slide stores.
>>
>> Deprecating these seems not appropriate because they won't even work
>> right now. After consulting with Stephan Michels about it - the original
>> author of the slide block - we both agreed that removing the obsolete
>> classes would be the best option.
>>  
>>
> 
> gump.xml says:
>   <project name="cocoon-block-slide" status="unstable">

But that's not so old, end of October: 
http://cvs.apache.org/viewcvs.cgi/cocoon-2.1/gump.xml?r1=1.92&r2=1.93&diff_format=h

> +1 for removal of "deprecated" code.

When it does not make sense to just deprecate it, I'm +1 for removing. 
An appropriate note should be added to status.xml.

Joerg


Mime
View raw message